## org.apache.batik.bridge
Class SVGTextElementBridge.DOMSubtreeModifiedEventListener

    java.lang.Object
      org.apache.batik.bridge.SVGTextElementBridge.DOMSubtreeModifiedEventListener

All Implemented Interfaces:
  EventListener

Direct Known Subclasses:
  SVG12TextElementBridge.DOMSubtreeModifiedEventListener

Enclosing class:
  SVGTextElementBridge

    protected class SVGTextElementBridge.DOMSubtreeModifiedEventListener

extends java.lang.Object
implements EventListener

The DOM EventListener invoked when the subtree is modified.

Constructor Summary
`protected` `SVGTextElementBridge.DOMSubtreeModifiedEventListener()`

Method Summary
`void` `handleEvent(Event evt)` Handles 'DOMSubtreeModified' event type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTextElementBridge.DOMSubtreeModifiedEventListener

    protected SVGTextElementBridge.DOMSubtreeModifiedEventListener()

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Handles 'DOMSubtreeModified' event type.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.